lookupTransaction | Algorand Developer Portal

lookupTransaction

GET

/v2/transactions/{txid}

Lookup a single transaction.

Parameters

Path Parameters

txid
required
string

Responses

200

(empty) Select media typeapplication/json

object

current-round
required
Round at which the results were computed.
integer

transaction
required
Contains all fields common to all transactions and serves as an envelope to all transactions type. Represents both regular and inner transactions.

Definition:
data/transactions/signedtxn.go : SignedTxn
data/transactions/transaction.go : Transaction

object

application-transaction
Fields for application transactions.

Definition:
data/transactions/application.go : ApplicationCallTxnFields

object

access
[al] Access unifies accounts, foreign-apps, foreign-assets, and box-references under a single list. If access is non-empty, these lists must be empty. If access is empty, those lists may be non-empty.

Array

address
[d] Account whose balance record is accessible by the executing ApprovalProgram or ClearStateProgram.

string

application-id
[p] Application id whose GlobalState may be read by the executing ApprovalProgram or ClearStateProgram.

integer

asset-id
[s] Asset whose AssetParams may be read by the executing ApprovalProgram or ClearStateProgram.

integer

box
BoxReference names a box by its name and the application ID it belongs to.

object

app
required
Application ID to which the box belongs, or zero if referring to the called application.

integer

name
required
Base64 encoded box name

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

holding
HoldingRef names a holding by referring to an Address and Asset it belongs to.

object

address
required
[d] Address in access list, or the sender of the transaction.

string

asset
required
[s] Asset ID for asset in access list.

integer

local
LocalsRef names a local state by referring to an Address and App it belongs to.

object

address
required
[d] Address in access list, or the sender of the transaction.

string

app
required
[p] Application ID for app in access list, or zero if referring to the called application.

integer

accounts
[apat] List of accounts in addition to the sender that may be accessed from the application’s approval-program and clear-state-program.

Array

application-args
[apaa] transaction specific arguments accessed from the application’s approval-program and clear-state-program.

Array

application-id
required
[apid] ID of the application being configured or empty if creating.

integer

approval-program
[apap] Logic executed for every application transaction, except when on-completion is set to “clear”. It can read and write global state for the application, as well as account-specific local state. Approval programs may reject the transaction.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

box-references
[apbx] the boxes that can be accessed by this transaction (and others in the same group).

Array

BoxReference names a box by its name and the application ID it belongs to.

object

app
required
Application ID to which the box belongs, or zero if referring to the called application.

integer

name
required
Base64 encoded box name

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

clear-state-program
[apsu] Logic executed for application transactions with on-completion set to “clear”. It can read and write global state for the application, as well as account-specific local state. Clear state programs cannot reject the transaction.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

extra-program-pages
[epp] specifies the additional app program len requested in pages.

integer

foreign-apps
[apfa] Lists the applications in addition to the application-id whose global states may be accessed by this application’s approval-program and clear-state-program. The access is read-only.

Array

foreign-assets
[apas] lists the assets whose parameters may be accessed by this application’s ApprovalProgram and ClearStateProgram. The access is read-only.

Array

global-state-schema
Represents a [apls] local-state or [apgs] global-state schema. These schemas determine how much storage may be used in a local-state or global-state for an application. The more space used, the larger minimum balance must be maintained in the account holding the data.

object

num-byte-slice
required
Maximum number of TEAL byte slices that may be stored in the key/value store.

integer

num-uint
required
Maximum number of TEAL uints that may be stored in the key/value store.

integer

local-state-schema
Represents a [apls] local-state or [apgs] global-state schema. These schemas determine how much storage may be used in a local-state or global-state for an application. The more space used, the larger minimum balance must be maintained in the account holding the data.

object

num-byte-slice
required
Maximum number of TEAL byte slices that may be stored in the key/value store.

integer

num-uint
required
Maximum number of TEAL uints that may be stored in the key/value store.

integer

on-completion
required
[apan] defines the what additional actions occur with the transaction.

Valid types:

  • noop
  • optin
  • closeout
  • clear
  • update
  • update
  • delete

string

Allowed values: noop optin closeout clear update delete

reject-version
[aprv] the lowest application version for which this transaction should immediately fail. 0 indicates that no version check should be performed.

integer

asset-config-transaction
Fields for asset allocation, re-configuration, and destruction.

A zero value for asset-id indicates asset creation. A zero value for the params indicates asset destruction.

Definition:
data/transactions/asset.go : AssetConfigTxnFields

object

asset-id
[xaid] ID of the asset being configured or empty if creating.

integer

params
AssetParams specifies the parameters for an asset.

[apar] when part of an AssetConfig transaction.

Definition:
data/transactions/asset.go : AssetParams

object

clawback
Address of account used to clawback holdings of this asset. If empty, clawback is not permitted.

string

creator
required
The address that created this asset. This is the address where the parameters for this asset can be found, and also the address where unwanted asset units can be sent in the worst case.

string

decimals
required
The number of digits to use after the decimal point when displaying this asset. If 0, the asset is not divisible. If 1, the base unit of the asset is in tenths. If 2, the base unit of the asset is in hundredths, and so on. This value must be between 0 and 19 (inclusive).

integer

<= 19

default-frozen
Whether holdings of this asset are frozen by default.

boolean

freeze
Address of account used to freeze holdings of this asset. If empty, freezing is not permitted.

string

manager
Address of account used to manage the keys of this asset and to destroy it.

string

metadata-hash
A commitment to some unspecified asset metadata. The format of this metadata is up to the application.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

name
Name of this asset, as supplied by the creator. Included only when the asset name is composed of printable utf-8 characters.

string

name-b64
Base64 encoded name of this asset, as supplied by the creator.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

reserve
Address of account holding reserve (non-minted) units of this asset.

string

total
required
The total number of units of this asset.

integer

unit-name
Name of a unit of this asset, as supplied by the creator. Included only when the name of a unit of this asset is composed of printable utf-8 characters.

string

unit-name-b64
Base64 encoded name of a unit of this asset, as supplied by the creator.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

url
URL where more information about the asset can be retrieved. Included only when the URL is composed of printable utf-8 characters.

string

url-b64
Base64 encoded URL where more information about the asset can be retrieved.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

asset-freeze-transaction
Fields for an asset freeze transaction.

Definition:
data/transactions/asset.go : AssetFreezeTxnFields

object

address
required
[fadd] Address of the account whose asset is being frozen or thawed.

string

asset-id
required
[faid] ID of the asset being frozen or thawed.

integer

new-freeze-status
required
[afrz] The new freeze status.

boolean

asset-transfer-transaction
Fields for an asset transfer transaction.

Definition:
data/transactions/asset.go : AssetTransferTxnFields

object

amount
required
[aamt] Amount of asset to transfer. A zero amount transferred to self allocates that asset in the account’s Assets map.

integer

asset-id
required
[xaid] ID of the asset being transferred.

integer

close-amount
Number of assets transferred to the close-to account as part of the transaction.

integer

close-to
[aclose] Indicates that the asset should be removed from the account’s Assets map, and specifies where the remaining asset holdings should be transferred. It’s always valid to transfer remaining asset holdings to the creator account.

string

receiver
required
[arcv] Recipient address of the transfer.

string

sender
[asnd] The effective sender during a clawback transactions. If this is not a zero value, the real transaction sender must be the Clawback address from the AssetParams.

string

auth-addr
[sgnr] this is included with signed transactions when the signing address does not equal the sender. The backend can use this to ensure that auth addr is equal to the accounts auth addr.

string

close-rewards
[rc] rewards applied to close-remainder-to account.

integer

closing-amount
[ca] closing amount for transaction.

integer

confirmed-round
Round when the transaction was confirmed.

integer

created-application-index
Specifies an application index (ID) if an application was created with this transaction.

integer

created-asset-index
Specifies an asset index (ID) if an asset was created with this transaction.

integer

fee
required
[fee] Transaction fee.

integer

first-valid
required
[fv] First valid round for this transaction.

integer

genesis-hash
[gh] Hash of genesis block.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

genesis-id
[gen] genesis block ID.

string

global-state-delta
Application state delta.

Array

Key-value pairs for StateDelta.

object

key
required
string

value
required
Represents a TEAL value delta.

object

action
required
[at] delta action.

integer

bytes
[bs] bytes value.

string

uint
[ui] uint value.

integer

group
[grp] Base64 encoded byte array of a sha512/256 digest. When present indicates that this transaction is part of a transaction group and the value is the sha512/256 hash of the transactions in that group.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

heartbeat-transaction
Fields for a heartbeat transaction.

Definition:
data/transactions/heartbeat.go : HeartbeatTxnFields

object

hb-address
required
[hbad] HbAddress is the account this txn is proving onlineness for.

string

hb-key-dilution
required
[hbkd] HbKeyDilution must match HbAddress account’s current KeyDilution.

integer

hb-proof
required
[hbprf] HbProof is a signature using HeartbeatAddress’s partkey, thereby showing it is online.

object

hb-pk
[p] Public key of the heartbeat message.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

hb-pk1sig
[p1s] Signature of OneTimeSignatureSubkeyOffsetID(PK, Batch, Offset) under the key PK2.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

hb-pk2
[p2] Key for new-style two-level ephemeral signature.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

hb-pk2sig
[p2s] Signature of OneTimeSignatureSubkeyBatchID(PK2, Batch) under the master key (OneTimeSignatureVerifier).

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

hb-sig
[s] Signature of the heartbeat message.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

hb-seed
required
[hbsd] HbSeed must be the block seed for the this transaction’s firstValid block.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

hb-vote-id
required
[hbvid] HbVoteID must match the HbAddress account’s current VoteID.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

id
Transaction ID

string

inner-txns

Array recursive

intra-round-offset
Offset into the round where this transaction was confirmed.

integer

keyreg-transaction
Fields for a keyreg transaction.

Definition:
data/transactions/keyreg.go : KeyregTxnFields

object

non-participation
[nonpart] Mark the account as participating or non-participating.

boolean

selection-participation-key
[selkey] Public key used with the Verified Random Function (VRF) result during committee selection.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

state-proof-key
[sprfkey] State proof key used in key registration transactions.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

vote-first-valid
[votefst] First round this participation key is valid.

integer

vote-key-dilution
[votekd] Number of subkeys in each batch of participation keys.

integer

vote-last-valid
[votelst] Last round this participation key is valid.

integer

vote-participation-key
[votekey] Participation public key used in key registration transactions.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

last-valid
required
[lv] Last valid round for this transaction.

integer

lease
[lx] Base64 encoded 32-byte array. Lease enforces mutual exclusion of transactions. If this field is nonzero, then once the transaction is confirmed, it acquires the lease identified by the (Sender, Lease) pair of the transaction until the LastValid round passes. While this transaction possesses the lease, no other transaction specifying this lease can be confirmed.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

local-state-delta
[ld] Local state key/value changes for the application being executed by this transaction.

Array

Application state delta.

object

address
required
string

delta
required
Application state delta.

Array

Key-value pairs for StateDelta.

object

key
required
string

value
required
Represents a TEAL value delta.

object

action
required
[at] delta action.

integer

bytes
[bs] bytes value.

string

uint
[ui] uint value.

integer

logs
[lg] Logs for the application being executed by this transaction.

Array

note
[note] Free form data.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

payment-transaction
Fields for a payment transaction.

Definition:
data/transactions/payment.go : PaymentTxnFields

object

amount
required
[amt] number of MicroAlgos intended to be transferred.

integer

close-amount
Number of MicroAlgos that were sent to the close-remainder-to address when closing the sender account.

integer

close-remainder-to
[close] when set, indicates that the sending account should be closed and all remaining funds be transferred to this address.

string

receiver
required
[rcv] receiver’s address.

string

receiver-rewards
[rr] rewards applied to receiver account.

integer

rekey-to
[rekey] when included in a valid transaction, the accounts auth addr will be updated with this value and future signatures must be signed with the key represented by this address.

string

round-time
Time when the block this transaction is in was confirmed.

integer

sender
required
[snd] Sender’s address.

string

sender-rewards
[rs] rewards applied to sender account.

integer

signature
Validation signature associated with some data. Only one of the signatures should be provided.

object

logicsig
[lsig] Programatic transaction signature.

Definition:
data/transactions/logicsig.go

object

args
[arg] Logic arguments, base64 encoded.

Array

logic
required
[l] Program signed by a signature or multi signature, or hashed to be the address of ana ccount. Base64 encoded TEAL program.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

logic-multisig-signature
Structure holding multiple subsignatures.

Definition:
crypto/multisig.go : MultisigSig

object

subsignature
[subsig] holds pairs of public key and signatures.

Array

object

public-key
[pk]

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

signature
[s]

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

threshold
[thr]

integer

version
[v]

integer

multisig-signature
Structure holding multiple subsignatures.

Definition:
crypto/multisig.go : MultisigSig

object

subsignature
[subsig] holds pairs of public key and signatures.

Array

object

public-key
[pk]

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

signature
[s]

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

threshold
[thr]

integer

version
[v]

integer

signature
[sig] ed25519 signature.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

multisig
Structure holding multiple subsignatures.

Definition:
crypto/multisig.go : MultisigSig

object

subsignature
[subsig] holds pairs of public key and signatures.

Array

object

public-key
[pk]

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

signature
[s]

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

threshold
[thr]

integer

version
[v]

integer

sig
[sig] Standard ed25519 signature.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

state-proof-transaction
Fields for a state proof transaction.

Definition:
data/transactions/stateproof.go : StateProofTxnFields

object

message
object

block-headers-commitment
[b]
string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

first-attested-round
[f]
integer

latest-attested-round
[l]
integer

ln-proven-weight
[P]
integer

voters-commitment
[v]
string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

state-proof
[sp] represents a state proof.

Definition:
crypto/stateproof/structs.go : StateProof

object

part-proofs
object

hash-factory
object

hash-type
[t]
integer

path
[pth]
Array

tree-depth
[td]
integer

positions-to-reveal
[pr]
Sequence of reveal positions.

Array

reveals
[r]
Note that this is actually stored as a map[uint64] - Reveal in the actual msgp

Array

object

participant
object

verifier
object

commitment
[cmt] Represents the root of the vector commitment tree.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

key-lifetime
[lf] Key lifetime.

integer

weight
[w]
integer

position
The position in the signature and participants arrays corresponding to this entry.

integer

sig-slot
object

lower-sig-weight
[l] The total weight of signatures in the lower-numbered slots.

integer

signature
object

falcon-signature
string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

merkle-array-index
integer

proof
object

hash-factory
object

hash-type
[t]
integer

path
[pth]
Array

tree-depth
[td]
integer

verifying-key
[vkey]
string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

salt-version
[v]
Salt version of the merkle signature.

integer

sig-commit
[c]
string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

sig-proofs
object

hash-factory
object

hash-type
[t]
integer

path
[pth]
Array

tree-depth
[td]
integer

signed-weight
[w]
integer

state-proof-type
[sptype] Type of the state proof. Integer representing an entry defined in protocol/stateproof.go

integer

tx-type
required
[type] Indicates what type of transaction this is. Different types have different fields.

Valid types, and where their fields are stored:

  • [pay] payment-transaction
  • [keyreg] keyreg-transaction
  • [acfg] asset-config-transaction
  • [axfer] asset-transfer-transaction
  • [afrz] asset-freeze-transaction
  • [appl] application-transaction
  • [stpf] state-proof-transaction
  • [hb] heartbeat-transaction

string

Allowed values: pay keyreg acfg axfer afrz appl stpf hb

400

Response for errors

Select media typeapplication/json

object

data

object

message
required
string

404

Response for errors

Select media typeapplication/json

object

data

object

message
required
string

500

Response for errors

Select media typeapplication/json

object

data

object

message
required
string